<ion-card *transloco="let t" class="default-card subtle-elevation">
  <a>
    <ion-grid>
      <ion-row>
        <ion-col class="header">
          <ion-card-title>{{ recyclingPoi.poi.name }}</ion-card-title>
          <ion-card-subtitle *ngIf="recyclingPoi.distance"
            >{{ recyclingPoi.distance | distanceFormat }}
          </ion-card-subtitle>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col class="recycling-details">
          <div class="recycling-info">
            <span class="recycling--display-name">
              {{ recyclingPoi.poi.location.street }}
            </span>
          </div>
        </ion-col>
      </ion-row>
      <ion-row class="recycling-row-actions">
        <ion-col class="recycling-actions">
          <lib-custom-selectable-icon-text-button
            (selectedChange)="openNavigation($event)"
            [applySelectionStyle]="true"
            [selected]="false"
            [text]="t('feature_parking.dashboard.navigate')"
            icon="directions"
          >
          </lib-custom-selectable-icon-text-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </a>
</ion-card>
